Description

The wms and wfs add layer plugins now display the name of the layer selected in the layers panel (TOC). It would be great if there is an

option to display the layer title instead. Some layer names can be very cryptic and if several layers are loaded, it becomes very hard to

distinguish one layer from another. Renaming the layer in situ can be rather tedious.

Incidentally, the layer list in the wfs plugin has columns: Title, Name, Abstract, while the wms plugin has columns in the order:Name,

Title, Abstract. It would be most helpful if these could be synchronised.

Thanks

Associated revisions

Revision 675746c2 - 2014-02-15 05:31 PM - Jürgen Fischer

wms: use titles in layer name (fixes #4002)

History

#1 - 2011-12-09 08:25 AM - Paolo Cavallini

- Category set to Web Services clients/WMS

- Pull Request or Patch supplied set to No

#2 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-01-31 04:59 AM - Casper Børgesen

I'm curious about this issue. Displaying the name tag instead of the title tag for wms/wfs layers seems to me as a simple change to do. But I recon (without

having dived into the source) that these two data sources/providers might be the only ones who uses a title to complement their properties. The required

change here should it be to extend all providers with a display name / title to solve this issue? Maybe combined with a checkbox in the settings whether to

use name or display name for layers. Or is it much more complicated than this?

I don't think I'm qualified to make such a change though. But I would like to understand why a thing this visible to many users remains unsolved?

#6 - 2014-02-15 09:27 AM - Jürgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"675746c2d7bdba0b7e3f15a3c96b5a5c2709a41f".

2025-05-17 2/2


